<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Centered Navigation with Dropdown</title>
    <link rel="stylesheet" href="style.css">
    <style>
         .image-wrapper {
            display: flex; /* 使用 Flex 布局 */
        }
        .image-wrapper img {
            width: 48%; /* 图片宽度占父容器的一半 */
            height: auto; /* 高度自适应 */
            margin-right: 0;
        }

        .scanhand {
            display: flex; /* 使用 Flex 布局 */
        }
        .scanhand img {
            width: 48%; /* 图片宽度占父容器的一半 */
            height: auto; /* 高度自适应 */
            margin-right: 0;
        }
    </style>
</head>
<body>
    <header class="header-main">
        <nav class="header-main-nav">
            <ul>
                <li><a href="index.html">Home</a></li>
                <li>
                    <a href="WeeklyAssignment.html">Weekly Assignment</a>
                    <div class="dropdown-content">
                        <a href="Week1.html">Week 1:Introduction</a>
                        <a href="Week2.html">Week 2:Principles and Practice</a>
                        <a href="Week3.html">Week 3:Project Management</a>
                        <a href="Week4.html">Week 4:Computer-Aided Design</a>
                        <a href="Week5.html">Week 5:Computer-Controlled Cutting</a>
                        <a href="Week6.html">Week 6:Electronics Production</a>
                        <a href="Week7.html">Week 7:3D Scanning and Printing</a>
                        
                    </div>
                </li>
                <li><a href="about.html">About Me</a></li>
                <li><a href="Final.html">Final Project</a></li>
            </ul>
        </nav>
    </header>

    <div class="main-content">
        <h1>Week 7:3D Scanning and Printing 🖨️</h1>
        <br><p>This week we have been learning how to print with a 3D printer and learning how to do 3D-scanning, combined with the study guide to try and print our own 3D models.And thanks to <a href="https://zinaaaa.gitlab.io/digital-fabrication/week6_docu.html">zina</a> for recording it!</p>
        <h2>3D Scanning</h2>
        <br><p>Before scanning, download CrealityScan. The scanning process is very simple, just connect the device and click "Scan" to start, but make sure the object being scanned is in the red box. At first I tried scanning some objects, but the scans were never successful due to the lack of a clean background, and finally I tried scanning my own hands.</p>
        <div class="image-wrapper">
            <img src="image/3dscan-2.webp" alt="3d-2" style="max-width:100%;">
            <img src="image/3dscan-3.webp" alt="3d-3" style="max-width:100%;">
        </div>
        <div class="scanhand">
            <img src="image/3dscan-4.webp" alt="3d-4" style="max-width:100%;">
            <img src="image/3dscan-5.webp" alt="3d-5" style="max-width:100%;">
        </div>
        <h2>3D Printing</h2>
        <br><p>
            Before 3D printing, I made the model in Rhino, first I built a curve, built it as a solid using the rotation shaping function, then I built a face and arrayed it, and finally overlapped the two to get the final model.</p>
        <img src="image/week7-3d1.webp" alt="3d1" style="max-width:100%;">
        <img src="image/week7-3d2.webp" alt="3d2" style="max-width:100%;">
        <br><p>I then exported the model to Cura without any problems and set the Print Machine to Ultimaker S3, exported the file to USB and started the print, which seemed to go well! However, I was surprised at the beginning when the screen said it would take 7h to print!</p>
        <img src="image/week7-3d3.webp" alt="3d3" style="max-width:100%;">
        <img src="image/week7-3d4.webp" alt="3d4" style="max-width:100%;">
        <img src="image/week7-3d5.webp" alt="3d5" style="max-width:100%;">
        <br><br><p>The first 3d print didn't work because it didn't take into account the support strength of the structure, so I adjusted the model and made a second attempt.</p>
        
        <img src="image/Week7-re3d1.webp" alt="re3d" style="max-width:100%;">
        <br><br><p>In the second test, everything looks good and see the final result!</p>
        <img src="image/Week7-re3d2.webp" alt="re3d2" style="max-width:100%;">
        <img src="image/week7-re3d3.webp" alt="re3d3" style="max-width:80%;">
        <br><br><br><br>
        

        
    </div>

   
    
    <footer class="footer-main">
        <span class="footer">&copy; 2024 Jue Ning. All rights reserved.</span>
    </footer>
</body>
</html>
